%define oname bdb

Name:       ruby-%{oname}
Version:    0.6.6
Release:    %mkrel 16
Summary:    An interface to Berkeley DB for Ruby
Group:      Development/Ruby
License:    GPLv2
URL:        http://moulon.inra.fr/ruby/bdb.html
Source0:    ftp://moulon.inra.fr/pub/ruby/%{oname}-%{version}.tar.bz2
Patch0:     ruby-bdb-dependency.patch
Patch1:     ruby-bdb-db4.8.patch
Patch2:     ruby-bdb-ruby2.0.patch
BuildRequires: ruby-devel
BuildRequires: db-devel

%description
This is an interface to Berkeley DB, it contains also an interface to
Berkeley DB XML.

%prep
%setup -q -n %{oname}-%{version}
%patch0 -p0
%patch2 -p1
# #patch1 -p0
for f in `find examples -name \*.rb`
do
    if head -n1 "$f" | grep '^#!' >/dev/null;
    then
        sed -i 's|/usr/local/bin|/usr/bin|' "$f"
        chmod 0755 "$f"
    else
        chmod 0644 "$f"
    fi
done

%build
ruby extconf.rb --vendor
%make

%install
%makeinstall_std

%check
make test

%files
%doc README.en examples docs Changes
%{ruby_vendorarchdir}/bdb.so


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 0.6.6-16.mga4
+ Revision: 561775
- Rebuild to fix provides

* Tue Oct 22 2013 umeabot <umeabot> 0.6.6-15.mga4
+ Revision: 541715
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 pterjan <pterjan> 0.6.6-14.mga4
+ Revision: 496383
- DESTDIR seems to be working fine again

* Sun Sep 29 2013 pterjan <pterjan> 0.6.6-13.mga4
+ Revision: 488917
- Workaround a strange bug where mkmf appends DESTDIR twice

  + fwang <fwang>
    - fix build with ruby 2.0
    - rebuild for ruby 2.0

* Fri Feb 08 2013 umeabot <umeabot> 0.6.6-11.mga3
+ Revision: 395725
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.6.6-10.mga3
+ Revision: 380659
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 02 2012 fwang <fwang> 0.6.6-9.mga3
+ Revision: 312333
- rebuild for new ruby

* Tue Jul 31 2012 fwang <fwang> 0.6.6-8.mga3
+ Revision: 276377
- rebuild for db-5.3

* Fri Jul 27 2012 fwang <fwang> 0.6.6-7.mga3
+ Revision: 274867
- build with db5

* Fri Jun 08 2012 shlomif <shlomif> 0.6.6-6.mga3
+ Revision: 257767
- New version - 0.6.6

* Mon Feb 07 2011 shikamaru <shikamaru> 0.6.5-6.mga1
+ Revision: 48628
- imported package ruby-bdb


* Mon Feb 07 2011 Rémy Clouard <shikamaru@mandriva.org> 0.6.5-6mdv2011.0
- initial import from Mandriva

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.5-5mdv2011.0
+ Revision: 614723
- the mass rebuild of 2010.1 packages

* Sat Jan 30 2010 Funda Wang <fwang@mandriva.org> 0.6.5-4mdv2010.1
+ Revision: 498572
- build with db 4.8

* Sun Jan 24 2010 Rémy Clouard <shikamaru@mandriva.org> 0.6.5-3mdv2010.1
+ Revision: 495464
- rebuild for db4.7

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.6.5-2mdv2010.0
+ Revision: 442786
- rebuild

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 0.6.5-1mdv2009.1
+ Revision: 324515
- New upstream release

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.6.3-2mdv2009.0
+ Revision: 269231
- rebuild early 2009.0 package (before pixel changes)

* Wed Jun 11 2008 Pascal Terjan <pterjan@mandriva.org> 0.6.3-1mdv2009.0
+ Revision: 217779
- move to vendor dir
- build against 4.6

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - new version 0.6.3
    - rebuild for new binary libraries location

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.6.0-2mdv2008.0
+ Revision: 16989
- Use group Development/Ruby


* Wed Jan 17 2007 Gustavo De Nardin <gustavodn@mandriva.com> 0.6.0-1mdv2007.0
+ Revision: 109720
- 0.6.0
- downgrade to db4.2, the recommended one, and used by ruby package
- use macros provided by ruby package instead of custom ones

  + Pascal Terjan <pterjan@mandriva.org>
    - Import ruby-bdb

* Wed May 03 2006 Pascal Terjan <pterjan@mandriva.org> 0.5.8-2mdk
- try removing hard dep on the lib version

* Sat Jan 07 2006 Pascal Terjan <pterjan@mandriva.org> 0.5.8-1mdk
- 0.5.8

* Sat Nov 12 2005 Pascal Terjan <pterjan@mandriva.org> 0.5.7-1mdk
- 0.5.7
- mkrel

* Wed May 18 2005 Pascal Terjan <pterjan@mandriva.org> 0.5.6-1mdk
- 0.5.6

* Sun May 01 2005 Pascal Terjan <pterjan@mandriva.org> 0.5.5-1mdk
- 0.5.5

* Sat Mar 19 2005 Pascal Terjan <pterjan@mandrake.org> 0.5.4-1mdk
- 0.5.4

* Thu Nov 11 2004 Pascal Terjan <pterjan@mandrake.org> 0.5.2-1mdk
- 0.5.2

* Sun Jul 25 2004 Pascal Terjan <pterjan@mandrake.org> 0.5.0-1mdk
- First version of the package

